qemu-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Qemu-devel] [PATCH 23/25] iotests: Add test for invalid qemu-nbd parame


From: Max Reitz
Subject: [Qemu-devel] [PATCH 23/25] iotests: Add test for invalid qemu-nbd parameters
Date: Wed, 25 Feb 2015 13:08:36 -0500

Signed-off-by: Max Reitz <address@hidden>
---
 tests/qemu-iotests/125     | 69 ++++++++++++++++++++++++++++++++++++++++++++++
 tests/qemu-iotests/125.out | 21 ++++++++++++++
 tests/qemu-iotests/group   |  1 +
 3 files changed, 91 insertions(+)
 create mode 100755 tests/qemu-iotests/125
 create mode 100644 tests/qemu-iotests/125.out

diff --git a/tests/qemu-iotests/125 b/tests/qemu-iotests/125
new file mode 100755
index 0000000..9fbfb82
--- /dev/null
+++ b/tests/qemu-iotests/125
@@ -0,0 +1,69 @@
+#!/bin/bash
+#
+# Test case for (qemu-)nbd's parameter verification
+#
+# Copyright (C) 2015 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+# creator
address@hidden
+
+seq="$(basename $0)"
+echo "QA output created by $seq"
+
+here="$PWD"
+tmp=/tmp/$$
+status=1       # failure is the default!
+
+_cleanup()
+{
+    _cleanup_test_img
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+_supported_fmt generic
+_supported_proto file
+_supported_os Linux
+
+_make_test_img 1M
+_timeout $QEMU_NBD -f $IMGFMT -p $((0x100000000 + 10809)) "$TEST_IMG"
+_timeout $QEMU_NBD -f $IMGFMT -p 0x10000000000000000 "$TEST_IMG"
+_timeout $QEMU_NBD -f $IMGFMT -p -10809 "$TEST_IMG"
+_timeout $QEMU_NBD -f $IMGFMT -o 0x10000000000000000 "$TEST_IMG"
+_timeout $QEMU_NBD -f $IMGFMT -o 42 "$TEST_IMG"
+_timeout $QEMU_NBD -f $IMGFMT -o -512 "$TEST_IMG"
+_timeout $QEMU_NBD -f $IMGFMT -P 0x100000001 "$TEST_IMG"
+_timeout $QEMU_NBD -f $IMGFMT -P 0x10000000000000000 "$TEST_IMG"
+_timeout $QEMU_NBD -f $IMGFMT -P 1 -o 512 "$TEST_IMG"
+_timeout $QEMU_NBD -f $IMGFMT -P -1 "$TEST_IMG"
+_timeout $QEMU_NBD -f $IMGFMT -e 0x80000000 "$TEST_IMG"
+_timeout $QEMU_NBD -f $IMGFMT -e 0xffffffff "$TEST_IMG"
+_timeout $QEMU_NBD -f $IMGFMT -e 0x100000001 "$TEST_IMG"
+_timeout $QEMU_NBD -f $IMGFMT -e 0x10000000000000000 "$TEST_IMG"
+_timeout $QEMU_NBD -f $IMGFMT -e -1 "$TEST_IMG"
+
+$QEMU_IMG info "nbd://localhost:$((0x100000000 + 10809))"
+$QEMU_IMG info "nbd://localhost:-10809"
+
+# success, all done
+echo
+echo '*** done'
+rm -f $seq.full
+status=0
diff --git a/tests/qemu-iotests/125.out b/tests/qemu-iotests/125.out
new file mode 100644
index 0000000..48d6f8b
--- /dev/null
+++ b/tests/qemu-iotests/125.out
@@ -0,0 +1,21 @@
+QA output created by 125
+Formatting 'TEST_DIR/t.IMGFMT', fmt=IMGFMT size=1048576
+qemu-nbd: Port out of range `4294978105'
+qemu-nbd: Port out of range `0x10000000000000000'
+qemu-nbd: Port out of range `-10809'
+qemu-nbd: Invalid offset `0x10000000000000000': Numerical result out of range
+qemu-nbd: Offset must be a multiple of 512
+qemu-nbd: Offset must be positive `-512'
+qemu-nbd: Invalid partition 0x100000001
+qemu-nbd: Invalid partition 0x10000000000000000
+qemu-nbd: Cannot use both -o and -P at the same time
+qemu-nbd: Invalid partition -1
+qemu-nbd: Shared device number must be less than 2147483647
+qemu-nbd: Shared device number must be less than 2147483647
+qemu-nbd: Shared device number must be less than 2147483647
+qemu-nbd: Shared device number must be less than 2147483647
+qemu-nbd: Shared device number must be greater than 0
+qemu-img: Could not open 'nbd://localhost:4294978105': No valid URL specified
+qemu-img: Could not open 'nbd://localhost:-10809': No valid URL specified
+
+*** done
diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
index 7436300..9410b3a 100644
--- a/tests/qemu-iotests/group
+++ b/tests/qemu-iotests/group
@@ -124,3 +124,4 @@
 117 rw auto
 118 rw auto
 123 rw auto quick
+125 rw auto quick
-- 
2.1.0




reply via email to

[Prev in Thread] Current Thread [Next in Thread]